<template>
  <div class="tms-sidebar">
    <div class="tms-sidebar__item">
      <i :class="['icon', isServiceValid ? 'checked' : 'alert']"></i>
      <span class="ob-order__status-label">Выберите услугу и единицу измерения услуги</span>
    </div>
    <div class="tms-sidebar__item">
      <i :class="['icon', isContractorValid ? 'checked' : 'alert']"></i>
      <span class="ob-order__status-label">Выберите исполнителей для этой услуги</span>
    </div>
    <div class="tms-sidebar__item">
      <i :class="['icon', isRacesValid ? 'checked' : 'alert']"></i>
      <span class="ob-order__status-label">Распределите рейсы</span>
    </div>
  </div>
</template>

<script>
  export default {
    name: 'distributionSidebar',

    props: {
      rule: {
        type: Object,
        required: true
      }
    },

    computed: {
      isServiceValid() {
        return this.rule.services.length > 0;
      },

      isContractorValid() {
        return this.rule.services.length > 0;
      },

      isRacesValid() {
        return this.rule.services.length > 0;
      }
    }
  }
</script>

<style lang="scss" scoped>

</style>